%define module_version 0.300004
%define module_name POE-Component-DirWatch
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Load.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Signature.pm) perl(FindBin.pm) perl(IO/AIO.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types/Path/Class.pm) perl(Net/FTP.pm) perl(POE.pm) perl(POE/Component/AIO.pm) perl(Parse/CPAN/Meta.pm) perl(Path/Class.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.300004
Release: alt1
Summary: Directory Watcher for POE
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AR/ARCANEZ/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
POE::Component::DirWatch watches a directory for files or directories.
Upon finding either it will invoke a user-supplied callback function
depending on whether the item is a file or directory.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/P*

%changelog
* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 0.300004-alt1
- regenerated from template by package builder

* Thu Feb 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.300003-alt1
- regenerated from template by package builder

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.300001-alt1
- initial import by package builder

